#
# spec file for package vtcl (Version 1.5.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         vtcl
Copyright:    Stewart Allen
Group:        Development/Languages/Tcl
Provides:     vtcl 
Requires:     tcl tk
Autoreqprov:  on
Version:      1.5.2
Release:      20
Summary:      Visual Tcl
BuildRoot:    /var/tmp/%name-root
Source:       %name-%version.tar.bz2
Source1:      vtcl
BuildArchitectures: noarch

%description
Visual Tcl is a freely-available, high-quality application development
environment for UNIX, Windows and Macintosh platforms. Written
entirely in Tcl and generating pure Tcl should make porting either
unnecessary or trivial.

Authors:
--------
    Stewart Allen <stewart@neuron.com>

SuSE series: tcl

%prep
%setup 

%build
#
# There is nothing to build here :)
#

%install
  LIBDIR=$RPM_BUILD_ROOT/usr/share/vtcl
  BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin
  mkdir -p $BINDIR $LIBDIR
  cp -a *.tcl images lib $LIBDIR
  install -g root -o root -m 755 %SOURCE1 $BINDIR
  chmod a-x ChangeLog 
  

%files
/usr/share/vtcl
%defattr(-,root,root)
%attr(0755,root,root) /usr/X11R6/bin/vtcl
%doc LICENSE ChangeLog README doc demo sample

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog -n vtcl
* Wed Sep 05 2001 - max@suse.de
- New version: 1.5.2
- revamped user interface
- rewritten bindings editor
- rewritten menu editor
- new widget description system
- easier insertion of widgets
- multiple file projects support
- inline images
- options can be saved or not on a widget basis
- support for namespaces in proc editor
- font and image code included in project only when needed
- Using BuildRoot
- As this package is script only, I moved it's files to
  /usr/share/vtcl and changed it to be noarch.
- bzip2 the sources
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Fri Nov 05 1999 - max@suse.de
- changed wish's location to /usr/bin
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Nov 25 1998 - max@suse.de
- new version 1.2.0
- created patch for variables window in main menu
* Fri Oct 17 1997 - hf@suse.de
  ready for autobuild
* Thu Jun 05 1997 - hf@suse.de
  A new package vtcl.
  Visual Tcl is a freely-available, high-quality application development
  environment for UNIX. Written entirely in Tcl and generating pure Tcl
  should make porting either unnecessary or trivial.
